/* Yet Another Forum.NET
 * Copyright (C) 2003-2005 Bjørnar Henden
 * Copyright (C) 2006-2013 Jaben Cargman
 * Copyright (C) 2014-2015 Ingo Herbote
 * http://www.yetanotherforum.net/
 * 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at

 * http://www.apache.org/licenses/LICENSE-2.0

 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
namespace YAF.Types.Constants
{
  /// <summary>
  /// List of all pages available in the YAF forum
  /// </summary>
  public enum ForumPages
  {
    /// <summary>
    /// The forum.
    /// </summary>
    forum, 

    /// <summary>
    /// The topics.
    /// </summary>
    topics, 

    /// <summary>
    /// The posts.
    /// </summary>
    posts, 

    /// <summary>
    /// The profile.
    /// </summary>
    profile, 

    /// <summary>
    /// The activeusers.
    /// </summary>
    activeusers, 

    /// <summary>
    /// The moderating.
    /// </summary>
    moderating, 

    /// <summary>
    /// The postmessage.
    /// </summary>
    postmessage, 

    /// <summary>
    /// The deletemessage.
    /// </summary>
    deletemessage, 

    /// <summary>
    /// The movemessage.
    /// </summary>
    movemessage,

    /// <summary>
    /// The messagehistory page displays a user message changes.
    /// </summary>
    messagehistory, 

    /// <summary>
    /// The mod_forumuser.
    /// </summary>
    mod_forumuser, 

    /// <summary>
    /// The attachments.
    /// </summary>
    attachments, 

    /// <summary>
    /// The pmessage.
    /// </summary>
    pmessage, 

    /// <summary>
    /// The movetopic.
    /// </summary>
    movetopic, 

    /// <summary>
    /// The emailtopic.
    /// </summary>
    emailtopic, 

    /// <summary>
    /// The printtopic.
    /// </summary>
    printtopic, 

    /// <summary>
    /// The members.
    /// </summary>
    members,

    /// <summary>
    /// The page to report posts message.
    /// </summary>
    reportpost,

    /// <summary>
    /// The cp_pm.
    /// </summary>
    cp_pm, 

    /// <summary>
    /// The cp_profile.
    /// </summary>
    cp_profile,

    /// <summary>
    /// The cp_editbuddies.
    /// </summary>
    cp_editbuddies,

    /// <summary>
    /// The album.
    /// </summary>
    album,

    /// <summary>
    /// The cp_editalbum.
    /// </summary>
    albums,

    /// <summary>
    /// The cp_editalbumimages.
    /// </summary>
    cp_editalbumimages, 

    /// <summary>
    /// The cp_editprofile.
    /// </summary>
    cp_editprofile, 

    /// <summary>
    /// The cp_editavatar.
    /// </summary>
    cp_editavatar, 

    /// <summary>
    /// The cp_signature.
    /// </summary>
    cp_signature, 

    /// <summary>
    /// The cp_subscriptions.
    /// </summary>
    cp_subscriptions, 

    /// <summary>
    /// The cp_message.
    /// </summary>
    cp_message, 

    /// <summary>
    /// The cp_changepassword.
    /// </summary>
    cp_changepassword, 

    /// <summary>
    /// The login.
    /// </summary>
    login, 

    /// <summary>
    /// The approve.
    /// </summary>
    approve, 

    /// <summary>
    /// The info.
    /// </summary>
    info, 

    /// <summary>
    /// The rules.
    /// </summary>
    rules, 

    /// <summary>
    /// The register.
    /// </summary>
    register, 

    /// <summary>
    /// The search.
    /// </summary>
    search, 
    
    /// <summary>
    /// The viewthanks
    /// </summary>
    viewthanks,

    /// <summary>
    /// The mytopics
    /// </summary>
    mytopics,

    /// <summary>
    /// The logout.
    /// </summary>
    logout, 

    /// <summary>
    /// The moderate_index.
    /// </summary>
    moderate_index, 

    /// <summary>
    /// The moderate_reportedposts.
    /// </summary>
    moderate_reportedposts, 

    /// <summary>
    /// The moderate_unapprovedposts.
    /// </summary>
    moderate_unapprovedposts, 

    /// <summary>
    /// The error.
    /// </summary>
    error, 

    /// <summary>
    /// The shoutbox.
    /// </summary>
    shoutbox, 

    /// <summary>
    /// The avatar.
    /// </summary>
    avatar, 

    /// <summary>
    /// The im_yim.
    /// </summary>
    im_yim, 

    /// <summary>
    /// The im_aim.
    /// </summary>
    im_aim, 

    /// <summary>
    /// The im_icq.
    /// </summary>
    im_icq, 

    /// <summary>
    /// The im_xmpp.
    /// </summary>
    im_xmpp,

    /// <summary>
    /// The im_skype.
    /// </summary>
    im_skype, 

    /// <summary>
    /// The im_msn.
    /// </summary>
    im_msn, 

    /// <summary>
    /// The im_email.
    /// </summary>
    im_email, 

    /// <summary>
    /// The rsstopic.
    /// </summary>
    rsstopic,

    /// <summary>
    /// The rsstopic.
    /// </summary>
    polledit, 

    /// <summary>
    /// The help_index.
    /// </summary>
    help_index,
    
    /// <summary>
    /// The team page.
    /// </summary>
    team, 

    /// <summary>
    /// The lastposts.
    /// </summary>
    lastposts, 

    /// <summary>
    /// The recoverpassword.
    /// </summary>
    recoverpassword, 

    /// <summary>
    /// The admin_admin.
    /// </summary>
    admin_admin, 

    /// <summary>
    /// The admin_hostsettings.
    /// </summary>
    admin_hostsettings, 

    /// <summary>
    /// The admin_boards.
    /// </summary>
    admin_boards, 

    /// <summary>
    /// The admin_boardsettings.
    /// </summary>
    admin_boardsettings, 

    /// <summary>
    /// The admin_forums.
    /// </summary>
    admin_forums,

    /// <summary>
    /// The admin_bannedemail.
    /// </summary>
    admin_bannedemail,

    /// <summary>
    /// The admin_bannedip.
    /// </summary>
    admin_bannedip, 
      
    /// <summary>
    /// The admin_bannedname.
    /// </summary>
    admin_bannedname, 

    /// <summary>
    /// The admin_smilies.
    /// </summary>
    admin_smilies, 

    /// <summary>
    /// The admin_accessmasks.
    /// </summary>
    admin_accessmasks, 

    /// <summary>
    /// The admin_groups.
    /// </summary>
    admin_groups, 

    /// <summary>
    /// The admin_users.
    /// </summary>
    admin_users,

    /// <summary>
    /// The admin_users_import.
    /// </summary>
    admin_users_import, 

    /// <summary>
    /// The admin_ranks.
    /// </summary>
    admin_ranks, 

    /// <summary>
    /// The admin_mail.
    /// </summary>
    admin_mail, 

    /// <summary>
    /// The admin_medals.
    /// </summary>
    admin_medals, 

       /// <summary>
    /// The admin_pageaccesslist.
    /// </summary>
    admin_pageaccesslist,

    /// <summary>
    /// The admin_pageaccessedit.
    /// </summary>
    admin_pageaccessedit, 

      /// <summary>
    /// The admin_eventloggroups.
    /// </summary>
   admin_eventloggroups,

    /// <summary>
    /// The admin_eventloggroupaccess.
    /// </summary>
    admin_eventloggroupaccess, 

    /// <summary>
    /// The admin_prune.
    /// </summary>
    admin_prune, 

    /// <summary>
    /// The admin_pm.
    /// </summary>
    admin_pm, 

    /// <summary>
    /// The admin_attachments.
    /// </summary>
    admin_attachments,

    /// <summary>
    /// The admin_eventlog.
    /// </summary>
    admin_eventlog,

    /// <summary>
    /// The admin_spamlog.
    /// </summary>
    admin_spamlog, 

    /// <summary>
    /// The admin_nntpservers.
    /// </summary>
    admin_nntpservers, 

    /// <summary>
    /// The admin_nntpforums.
    /// </summary>
    admin_nntpforums, 

    /// <summary>
    /// The admin_nntpretrieve.
    /// </summary>
    admin_nntpretrieve, 

    /// <summary>
    /// The admin_version.
    /// </summary>
    admin_version,

    /// <summary>
    /// The admin_bannedemail_edit.
    /// </summary>
    admin_bannedemail_edit,

    /// <summary>
    /// The admin_bannedemail_import.
    /// </summary>
    admin_bannedemail_import,

    /// <summary>
    /// The admin_bannedip_edit.
    /// </summary>
    admin_bannedip_edit,

    /// <summary>
    /// The admin_bannedip_import.
    /// </summary>
    admin_bannedip_import, 
      
    /// <summary>
    /// The admin_bannedname_edit.
    /// </summary>
    admin_bannedname_edit,

    /// <summary>
    /// The admin_bannedname_import.
    /// </summary>
    admin_bannedname_import, 

    /// <summary>
    /// The admin_editaccessmask.
    /// </summary>
    admin_editaccessmask, 

    /// <summary>
    /// The admin_editboard.
    /// </summary>
    admin_editboard, 

    /// <summary>
    /// The admin_editcategory.
    /// </summary>
    admin_editcategory, 

    /// <summary>
    /// The admin_editforum.
    /// </summary>
    admin_editforum,

    /// <summary>
    /// The admin_deleteforum.
    /// </summary>
    admin_deleteforum, 

    /// <summary>
    /// The admin_editgroup.
    /// </summary>
    admin_editgroup, 

    /// <summary>
    /// The admin_editmedal.
    /// </summary>
    admin_editmedal, 

    /// <summary>
    /// The admin_editnntpforum.
    /// </summary>
    admin_editnntpforum, 

    /// <summary>
    /// The admin_editnntpserver.
    /// </summary>
    admin_editnntpserver, 

    /// <summary>
    /// The admin_editrank.
    /// </summary>
    admin_editrank, 

    /// <summary>
    /// The admin_edituser.
    /// </summary>
    admin_edituser, 

    /// <summary>
    /// The admin_reguser.
    /// </summary>
    admin_reguser, 

    /// <summary>
    /// The admin_smilies_edit.
    /// </summary>
    admin_smilies_edit, 

    /// <summary>
    /// The admin_smilies_import.
    /// </summary>
    admin_smilies_import, 

    /// <summary>
    /// The admin_replacewords.
    /// </summary>
    admin_replacewords, 

    /// <summary>
    /// The admin_replacewords_edit.
    /// </summary>
    admin_replacewords_edit, 

    /// <summary>
    /// The admin_replacewords_import.
    /// </summary>
    admin_replacewords_import,

    /// <summary>
    /// The admin spam words
    /// </summary>
    admin_spamwords,

    /// <summary>
    /// The admin spam words edit
    /// </summary>
    admin_spamwords_edit,

    /// <summary>
    /// The admin spam words import
    /// </summary>
    admin_spamwords_import, 

    /// <summary>
    /// The admin_extensions.
    /// </summary>
    admin_extensions, 

    /// <summary>
    /// The admin_extensions_edit.
    /// </summary>
    admin_extensions_edit, 

    /// <summary>
    /// The admin_extensions_import.
    /// </summary>
    admin_extensions_import, 

    /// <summary>
    /// The admin_bbcode.
    /// </summary>
    admin_bbcode, 

    /// <summary>
    /// The admin_bbcode_edit.
    /// </summary>
    admin_bbcode_edit, 

    /// <summary>
    /// The admin_bbcode_import.
    /// </summary>
    admin_bbcode_import,

    /// <summary>
    /// The admin_topicstatus.
    /// </summary>
    admin_topicstatus,

    /// <summary>
    /// The admin_topicstatus_edit.
    /// </summary>
    admin_topicstatus_edit,

    /// <summary>
    /// The admin_topicstatus_import.
    /// </summary>
    admin_topicstatus_import, 

    /// <summary>
    /// The admin_languages.
    /// </summary>
    admin_languages,

    /// <summary>
    /// The admin_editlanguage.
    /// </summary>
    admin_editlanguage, 

    /// <summary>
    /// The admin_reindex.
    /// </summary>
    admin_reindex, 

    /// <summary>
    /// The admin_runsql.
    /// </summary>
    admin_runsql, 

    /// <summary>
    /// The admin_taskmanager.
    /// </summary>
    admin_taskmanager, 

    /// <summary>
    /// The admin_test_data.
    /// </summary>
    admin_test_data, 

    /// <summary>
    /// The admin_restartapp.
    /// </summary>
    admin_restartapp,

    /// <summary>
    /// Digest Admin page
    /// </summary>
    admin_digest
  }
}